Name:          sugar-pippy-activity
Version:       75
Release:       %mkrel 2
Summary:       Python programming activity for Sugar
License:       GPLv2
Group:         Graphical desktop/Other
Url:           https://sugarlabs.org/
Source:        https://download.sugarlabs.org/sources/sucrose/fructose/Pippy/Pippy-%{version}.tar.bz2
BuildArch:     noarch
BuildRequires: gettext
BuildRequires: python3-devel
BuildRequires: sugar-toolkit-gtk3
Requires:      python3-pybox2d
Requires:      python3-pygame
Requires:      python3-gobject3
Requires:      sugar-toolkit-gtk3

%description
Teaches Python programming by providing access to Python code samples
and a fully interactive Python interpreter.

The user can type and execute simple Python expressions. For example,
it would be possible for a user to write Python statements to calculate
expressions, play sounds, or make simple text animation.

The initial build ships with about twenty short Python examples covering
various aspects of the language.

%prep
%setup -q -n Pippy-%{version}
rm -rf library/pippy/physics

sed -i 's#!%{_bindir}/python[2,3]\?#!%{__python3}#' activity.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}%{_prefix}

# prebuilt
rm -rf %{buildroot}%{_datadir}/sugar/activities/Pippy.activity/library/box2d_*/_Box2D.so

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py

%find_lang org.laptop.Pippy

%files -f org.laptop.Pippy.lang
%doc NEWS
%license COPYING
%{_datadir}/applications/org.laptop.Pippy.activity.desktop
%{_datadir}/sugar/activities/*


%changelog
* Sat Dec 12 2020 wally <wally> 75-2.mga8
+ Revision: 1655860
- drop buildroot definition from .desktop files
- drop unneeded files

* Sun Apr 26 2020 zezinho <zezinho> 75-1.mga8
+ Revision: 1572277
- new version
+ danf <danf>
- Switch URLs from http: to https:

* Tue Mar 03 2020 zezinho <zezinho> 74-1.mga8
+ Revision: 1553557
- new version
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 73-1.mga8
+ Revision: 1456386
- new version 73
- switch to python3

* Wed Mar 13 2019 wally <wally> 72-1.mga7
+ Revision: 1375610
- new version 72

* Fri Sep 21 2018 umeabot <umeabot> 66-4.mga7
+ Revision: 1291722
- Mageia 7 Mass Rebuild

* Mon Mar 05 2018 tarakbumba <tarakbumba> 66-3.mga7
+ Revision: 1206857
- Rebuild for new python-pygame requires

* Wed Jun 07 2017 akien <akien> 66-2.mga6
+ Revision: 1107209
- Add desktop file

* Mon Jan 18 2016 zezinho <zezinho> 66-1.mga6
+ Revision: 925338
- new version

* Wed Oct 28 2015 daviddavid <daviddavid> 59-4.mga6
+ Revision: 895954
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 59-3.mga5
+ Revision: 748702
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 59-2.mga5
+ Revision: 689596
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 59-1.mga5
+ Revision: 627347
- new version

* Fri Oct 18 2013 umeabot <umeabot> 51-4.mga4
+ Revision: 519397
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 51-3.mga3
+ Revision: 383678
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 zezinho <zezinho> 51-2.mga3
+ Revision: 332784
- remove external libs

* Mon Dec 03 2012 zezinho <zezinho> 51-1.mga3
+ Revision: 326175
- fix build requires
- new version

* Wed Nov 21 2012 zezinho <zezinho> 46-1.mga3
+ Revision: 320103
- newversion

* Fri Dec 02 2011 dmorgan <dmorgan> 43-2.mga2
+ Revision: 175063
- Remove as noarch

* Sat Nov 19 2011 zezinho <zezinho> 43-1.mga2
+ Revision: 169539
- new version
+ ennael <ennael>
- imported package sugar-pippy-activity


* Tue Oct 20 2009 Aleksey Lim <alsroot@mandriva.org> 34-2mdv2010.0
+ Revision: 458405
- Fix SL#1058

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 34-1mdv2010.0
+ Revision: 414904
- Sucrose 0.85.2

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 25-1mdv2009.1
+ Revision: 328409
- initial commit

